﻿
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System;
public class Category : INotifyPropertyChanged
{
    #region CategoryName
    private string _CategoryName;
    public string CategoryName
    {
        get { return _CategoryName; }
        set
        {
            if (CategoryName == value)
            {
                return;
            }
            _CategoryName = value;
            this.NotifyPropertyChanged("CategoryName");
        }
    }
    #endregion

    #region IsSelected
    private bool _IsSelected;
    public bool IsSelected
    {
        get { return _IsSelected; }
        set
        {
            if (IsSelected == value)
            {
                return;
            }
            _IsSelected = value;
            this.NotifyPropertyChanged("IsSelected");
        }
    }
    #endregion

    #region Categories
    private ObservableCollection<Category> _Categories
        = new ObservableCollection<Category>();
    public ObservableCollection<Category> Categories
    {
        get { return _Categories; }
        set
        {
            if (Categories == value)
            {
                return;
            }
            _Categories = value;
            this.NotifyPropertyChanged("Categories");
        }
    }
    #endregion

    // Utility

    #region INotifyPropertyChanged
    public event PropertyChangedEventHandler PropertyChanged;

    private void NotifyPropertyChanged(String info)
    {
        if (PropertyChanged != null)
        {
            PropertyChanged(this, new PropertyChangedEventArgs(info));
        }
    }
    #endregion
}
